package j;

import java.io.IOException;
import java.io.InputStream;
import java.util.Enumeration;
import javax.microedition.lcdui.Display;
import javax.microedition.media.Manager;
import javax.microedition.media.MediaException;
import javax.microedition.media.Player;
import javax.microedition.midlet.MIDlet;
import javax.microedition.pim.Event;
import javax.microedition.pim.EventList;
import javax.microedition.pim.PIM;
import javax.microedition.pim.PIMException;


 
public class CalendarAlarm extends MIDlet {
 
    private Display display;
 
    public CalendarAlarm() {
        display = Display.getDisplay(this);
    }
 public void playWav0000() {

     try{
InputStream is= getClass().getResourceAsStream("test.wav");
Player player= Manager.createPlayer(is,"audio/X-wav");
player.start();
}
catch(IOException ioe){
}
catch(MediaException me){
}
     
     
     
    }
    public void startApp() {
        try {
            EventList eventList = (EventList) PIM.getInstance().openPIMList(PIM.EVENT_LIST, PIM.READ_WRITE);
            Enumeration events = eventList.items();
            //playWav0000();
            while (events.hasMoreElements()) {
                Event event = (Event) events.nextElement();
                long currentTime = System.currentTimeMillis();
                long eventTime = event.getDate(Event.START, 0);
                       
 
               if (eventTime > currentTime) {
                    // Найдено событие, которое еще не произошло
                    // Здесь можно добавить код для установки будильника
                    // Например:
                    System.out.print("JJJJ");
                    playWav0000();
                    break; // Прерываем цикл после первого найденного события
               }
            }
 
            eventList.close();
        } catch (PIMException e) {
            // Обработка ошибок работы с календарем
        }
    }
 
    public void pauseApp() {}
 
    public void destroyApp(boolean unconditional) {}
}
